none
Azure Database for PostgreSQL server - v10.5 supported or not ? RRS feed

  • Question

  • Azure CLI => Can't create an Azure PostgreSQL server in v10.5

    $ az postgres server create --resource-group DjangoAppRG --name pgdemoserver  --location westeurope --admin-user myadmin --admin-password "Rand0mCr3!d&entials." --sku-name B_Gen5_1 --version 10.5
    Deployment failed. Correlation ID: cdba9240-dd04-4889-9b6a-ef7e96c07e81. Version '10.5' is not supported.

    Non-consistant with what we found in the documentation : https://docs.microsoft.com/en-us/azure/postgresql/concepts-supported-versions

    Thursday, November 29, 2018 10:53 AM

Answers

  • The portal/cli uses general versions for deployment but you will get the latest supported version.

    Please use --version 10 instead of --version 10.5.

    Current versions supported are: 9.5, 9.6, 10.

    az postgres server create --resource-group <YOUR_RG> --name <PGNAME> --location westeurope --admin-user myadmin --admin-password "<PASSWORD>" --sku-name B_Gen5_1 --version 10

    ~$ psql -U myadmin@<PGNAME> -h <PGNAME>.postgres.database.azure.com -h pgjale.postgres.database.azure.com -d postgres -W
    Password for user myadmin@pgjale:
    psql (9.5.14, server 10.5)
    WARNING: psql major version 9.5, server major version 10.
             Some psql features might not work.
    SSL connection (protocol: TLSv1.2, cipher: ECDHE-RSA-AES256-SHA384, bits: 256, compression: off)
    Type "help" for help.
    postgres=> select version();
                              version
    ------------------------------------------------------------
     PostgreSQL 10.5, compiled by Visual C++ build 1800, 64-bit
    (1 row)

    Thanks.

    James

    Wednesday, December 5, 2018 6:12 PM
    Moderator

All replies

  • The major version support is 9.6 as per the Azure documentation.

    https://docs.microsoft.com/en-us/azure/postgresql/quickstart-create-server-database-azure-cli

    version 9.6 The PostgreSQL major version



    -kccrga http://dbatrend.blogspot.com.au/

    Thursday, November 29, 2018 10:59 AM
  • The portal/cli uses general versions for deployment but you will get the latest supported version.

    Please use --version 10 instead of --version 10.5.

    Current versions supported are: 9.5, 9.6, 10.

    az postgres server create --resource-group <YOUR_RG> --name <PGNAME> --location westeurope --admin-user myadmin --admin-password "<PASSWORD>" --sku-name B_Gen5_1 --version 10

    ~$ psql -U myadmin@<PGNAME> -h <PGNAME>.postgres.database.azure.com -h pgjale.postgres.database.azure.com -d postgres -W
    Password for user myadmin@pgjale:
    psql (9.5.14, server 10.5)
    WARNING: psql major version 9.5, server major version 10.
             Some psql features might not work.
    SSL connection (protocol: TLSv1.2, cipher: ECDHE-RSA-AES256-SHA384, bits: 256, compression: off)
    Type "help" for help.
    postgres=> select version();
                              version
    ------------------------------------------------------------
     PostgreSQL 10.5, compiled by Visual C++ build 1800, 64-bit
    (1 row)

    Thanks.

    James

    Wednesday, December 5, 2018 6:12 PM
    Moderator